[project]
name = "assistance-engine"
version = "0.1.0"
description = "Add your description here"
readme = "README.md"
requires-python = ">=3.11"
dependencies = [
    "grpcio>=1.78.0",
    "grpcio-reflection>=1.78.0",
    "grpcio-tools>=1.78.0",
    "langchain>=1.2.10",
    "langchain-aws>=1.3.1",
    "langchain-community>=0.4.1",
    "langchain-elasticsearch>=1.0.0",
    "langchain-huggingface>=1.2.0",
    "langchain-ollama>=1.0.1",
    "llama-cpp-python>=0.3.16",
    "loguru>=0.7.3",
    "nltk>=3.9.2",
    "numpy>=2.4.2",
    "pandas>=3.0.0",
    "python-dotenv>=1.2.1",
    "rapidfuzz>=3.14.3",
    "tenacity>=9.1.4",
    "tqdm>=4.67.3",
]

[dependency-groups]
dev = [
    "beir>=2.2.0",
    "boto3>=1.42.58",
    "chonkie[elastic,semantic]>=1.6.0",
    "coir-eval>=0.7.0",
    "evidently>=0.7.20",
    "flatbuffers>=25.12.19",
    "jupyter>=1.1.1",
    "langfuse<3",
    "litellm>=1.82.0",
    "markdown>=3.10.2",
    "mteb>=2.8.8",
    "polars>=1.38.1",
    "ragas>=0.4.3",
    "ruff>=0.15.1",
    "selenium>=4.41.0",
    "tree-sitter-language-pack>=0.13.0",
]
[tool.pytest.ini_options]
testpaths = ["Docker/tests"]
